using System;
using System.Windows;

internal sealed class Delegate561 : MulticastDelegate
{
	public extern void Invoke(object object_0, RoutedEventHandler routedEventHandler_0);

	public static void smethod_0(object object_0, RoutedEventHandler routedEventHandler_0, Delegate561 delegate561_1)
	{
		delegate561_1(object_0, routedEventHandler_0);
	}

	public extern Delegate561(object object_0, IntPtr intptr_0);

	static Delegate561()
	{
		Class10.smethod_13(typeof(Delegate561).TypeHandle);
	}

	internal static Delegate561 delegate561_0;
}
